KDE 4.9 PyKDE API Reference

- KDE's Python API

# KRockerGesture Class Reference

`from PyKDE4.kdeui import *`

## Detailed Description

## Methods

| __init__ (self)
| __init__ (self, Qt::MouseButton hold, Qt::MouseButton thenPush)
| __init__ (self, QString description)
| __init__ (self, KRockerGesture other)
| getButtons (self, Qt::MouseButton hold, Qt::MouseButton thenPush)
long | hashable (self)
bool | isValid (self)
bool | operator != (self, KRockerGesture other)
bool | operator == (self, KRockerGesture other)
QString | rockerName (self)
| setButtons (self, Qt::MouseButton hold, Qt::MouseButton thenPush)
QString | toString (self)

## Static Methods

QString | mouseButtonName (Qt::MouseButton button)

## Method Documentation

__init__ | ( |  | self ) |

Create a new invalid rocker gesture.

__init__ | ( | self, |
|  | Qt::MouseButton | hold,
|  | Qt::MouseButton | thenPush
| ) |  |  |

Creates a new gesture consisting of given buttons.

Parameters:

  | description | create gesture according to this

__init__ | ( | self, |
|  | QString | description
| ) |  |  |

Creates a new gesture from a string description.

Parameters:

  | description | create gesture according to this

__init__ | ( | self, |
|  | KRockerGesture | other
| ) |  |  |

Copies the given gesture.

Parameters:

  | other | gesture to copy

getButtons | ( | self, |
|  | Qt::MouseButton | hold,
|  | Qt::MouseButton | thenPush
| ) |  |  |

Write the button combination to hold and thenPush

long hashable | ( |  | self ) |

Return an opaque value for use in hash tables

bool isValid | ( |  | self ) |

Return true if this gesture is valid.

bool operator != | ( | self, |
|  | KRockerGesture | other
| ) |  |  |

Return the opposite of operator==()

bool operator == | ( | self, |
|  | KRockerGesture | other
| ) |  |  |

Return whether this gesture is equal to the other gesture.

QString rockerName | ( |  | self ) |

Return a user-friendly name of the button combination.

setButtons | ( | self, |
|  | Qt::MouseButton | hold,
|  | Qt::MouseButton | thenPush
| ) |  |  |

set button combination to trigger

QString toString | ( |  | self ) |

Return a string representation of this gesture. Return an empty string if invalid. This function is mainly for use with config files.

See also:
  rockerName()

## Static Method Documentation

QString mouseButtonName | ( | Qt::MouseButton | button
| ) |  |  |

Return a user-friendly name for the mouse button button